---
lang: en
title: 'API docs: rest.parseparamsprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.parseparamsprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [ParseParamsProvider](./rest.parseparamsprovider.md)

## ParseParamsProvider class

Provides the function for parsing args in requests at runtime.

**Signature:**

```typescript
export declare class ParseParamsProvider 
```

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [value(requestBodyParser, validationOptions, ajvFactory)](./rest.parseparamsprovider.value.md) | <code>static</code> |  |


